#include "akm_defs.h"
////////////////////////////////////////////////
int CallSTRBLICOMMON( int RoutineLI, int arg1 , string msg)
{
  int arrCmdParams[MAX_SERVICE_DATA_SIZE];
  int fldn;
  int pvalue = 0;

  arrCmdParams[0] = RoutineLI;
  arrCmdParams[1] = arg1;
/*
   akmPrint(": ");
   akmPrint(stdItoA(RoutineLI));
   akmPrint(" : ");
   akmPrint(stdItoA(arg1));
   akmPrint("\n");
*/
 fldn =  akmDataSrcPerformKwpCommand(
//  MODEL_NAME,       // STK_PARAM_STRING sModelName,  // IN
    akmGetModelName(1),
    KWP_STRBLI,          // STK_PARAM_INT    kwpCommand,  // IN
    arrCmdParams,        // STK_PARAM_INT    arrCmdParams[MAX_SERVICE_DATA_SIZE],  // IN
    2,                   // STK_PARAM_INT    cmdCount,                             // IN
    1000,                // STK_PARAM_INT    timeout,                              // IN
    arrCmdParams         // STK_PARAM_INT    arrResult[MAX_SERVICE_DATA_SIZE]      // OUT
    );



 akmPrint("\n");

 if( fldn > 0 )
 {
   akmPrint(msg);
 }
 else   
 {
  akmPrint("");
 }
  akmPrint("\n");

 return arrCmdParams[0];
}
////////////////////////////////////////////////
void StopIgn(void)
{

akmSetParamDirectCtrl("Cyl1_Ignition_Output",DCTRL_ON);
akmSetParamDirectCtrl("Cyl2_Ignition_Output",DCTRL_ON);
akmSetParamDirectCtrl("Cyl3_Ignition_Output",DCTRL_ON);
akmSetParamDirectCtrl("Cyl4_Ignition_Output",DCTRL_ON);
akmSetParamDirectCtrl("Cyl5_Ignition_Output",DCTRL_ON);
akmSetParamDirectCtrl("Cyl6_Ignition_Output",DCTRL_ON);
akmSetParamDirectCtrl("Cyl7_Ignition_Output",DCTRL_ON);
akmSetParamDirectCtrl("Cyl8_Ignition_Output",DCTRL_ON);

stdSleep(2000); 

SetParamI("Cyl1_Ignition_Output",0 );
SetParamI("Cyl2_Ignition_Output",0 );
SetParamI("Cyl3_Ignition_Output",0 );
SetParamI("Cyl4_Ignition_Output",0 );
SetParamI("Cyl5_Ignition_Output",0 );
SetParamI("Cyl6_Ignition_Output",0 );
SetParamI("Cyl7_Ignition_Output",0 );
SetParamI("Cyl8_Ignition_Output",0 );

SetParamI("Cyl1_Ignition_Output",0 );
SetParamI("Cyl2_Ignition_Output",0 );
SetParamI("Cyl3_Ignition_Output",0 );
SetParamI("Cyl4_Ignition_Output",0 );
SetParamI("Cyl5_Ignition_Output",0 );
SetParamI("Cyl6_Ignition_Output",0 );
SetParamI("Cyl7_Ignition_Output",0 );
SetParamI("Cyl8_Ignition_Output",0 );

}

////////////////////////////////////////////////
void StopFors(void)
{int state;

akmSetParamDirectCtrl("Cyl1_Injector_Output",DCTRL_ON);  
akmSetParamDirectCtrl("Cyl2_Injector_Output",DCTRL_ON);  
akmSetParamDirectCtrl("Cyl3_Injector_Output",DCTRL_ON);  
akmSetParamDirectCtrl("Cyl4_Injector_Output",DCTRL_ON);  
akmSetParamDirectCtrl("Cyl5_Injector_Output",DCTRL_ON);  
akmSetParamDirectCtrl("Cyl6_Injector_Output",DCTRL_ON);  
akmSetParamDirectCtrl("Cyl7_Injector_Output",DCTRL_ON);  
akmSetParamDirectCtrl("Cyl8_Injector_Output",DCTRL_ON);  

stdSleep(2000); 

SetParamI("Cyl1_Injector_Output",0 );
SetParamI("Cyl2_Injector_Output",0 );
SetParamI("Cyl3_Injector_Output",0 );
SetParamI("Cyl4_Injector_Output",0 );
SetParamI("Cyl5_Injector_Output",0 );
SetParamI("Cyl6_Injector_Output",0 );
SetParamI("Cyl7_Injector_Output",0 );
SetParamI("Cyl8_Injector_Output",0 );


}

////////////////////////////////////////////////
void StopControlFors()
{
akmSetParamDirectCtrl("Cyl1_Injector_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl2_Injector_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl3_Injector_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl4_Injector_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl5_Injector_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl6_Injector_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl7_Injector_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl8_Injector_Output",DCTRL_OFF);  
}
void StopControlIgn()
{
akmSetParamDirectCtrl("Cyl1_Ignition_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl2_Ignition_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl3_Ignition_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl4_Ignition_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl5_Ignition_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl6_Ignition_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl7_Ignition_Output",DCTRL_OFF);  
akmSetParamDirectCtrl("Cyl8_Ignition_Output",DCTRL_OFF);  
}
//=======================================================================================
void StartStopFors(string name)
{int state;
print "Direct Control - ",name,"\n";

state = GetParamI(name);
print "State - ",state,"\n";

akmSetParamDirectCtrl(name,DCTRL_ON);  
stdSleep(200); 
if(state) {SetParamI(name,0 );}
else      {SetParamI(name,1 );}

state = GetParamI(name);
print "State - ",state,"\n";
}
//=======================================================================================
//   
void StartStopIgn1() { StartStopFors("Cyl1_Ignition_Output"); }
void StartStopIgn2() { StartStopFors("Cyl2_Ignition_Output"); }
void StartStopIgn3() { StartStopFors("Cyl3_Ignition_Output"); }
void StartStopIgn4() { StartStopFors("Cyl4_Ignition_Output"); }
void StartStopIgn5() { StartStopFors("Cyl5_Ignition_Output"); }
void StartStopIgn6() { StartStopFors("Cyl6_Ignition_Output"); }
void StartStopIgn7() { StartStopFors("Cyl7_Ignition_Output"); }
void StartStopIgn8() { StartStopFors("Cyl8_Ignition_Output"); }

//=======================================================================================
void StartStopFors1()
{ StartStopFors("Cyl1_Injector_Output"); }
void StartStopFors2()
{ StartStopFors("Cyl2_Injector_Output"); }
void StartStopFors3()
{ StartStopFors("Cyl3_Injector_Output"); }
void StartStopFors4()
{ StartStopFors("Cyl4_Injector_Output"); }
void StartStopFors5()
{ StartStopFors("Cyl5_Injector_Output"); }
void StartStopFors6()
{ StartStopFors("Cyl6_Injector_Output"); }
void StartStopFors7()
{ StartStopFors("Cyl7_Injector_Output"); }
void StartStopFors8()
{ StartStopFors("Cyl8_Injector_Output"); }
//=======================================================================================
void WriteConst() { StartStopFors("WriteConstSR12"); }

void CE_LAMP_Conrol() { StartStopFors("CE LAMP Conrol"); }
void GAS_Heater() { StartStopFors("GAS_Heater"); }
void Pump_OIL() { StartStopFors("Pump_OIL"); }
void Pump_Water() { StartStopFors("Pump_Water"); }
void Fuel_Relay_Conrol() { StartStopFors("Fuel_Relay_Conrol"); }
void Fan1_Relay_Conrol() { StartStopFors("Fan1_Relay_Conrol"); }
void LZ1_Heater_Conrol() { StartStopFors("LZ1_Heater_Conrol"); }
void LZ2_Heater_Conrol() { StartStopFors("LZ2_Heater_Conrol"); }
void StartRelay_Control() { StartStopFors("StartRelay"); }



//=======================================================================================
void Align_termocouple() 
{

 if (akmSetParamDirectCtrl("Align termocouple",DCTRL_ON)) 
  {
	print "  ","\n";  
	SetParamI("Align termocouple",1 );
	print " - ",GetParamI("Align termocouple"),"\n"; 
	stdSleep(500); 
	SetParamI("Align termocouple",0 );
	print " - ",GetParamI("Align termocouple"),"\n"; 
  }
 else 
  {
	print "   ","\n";  
  }

 stdSleep(500); 

 if (akmSetParamDirectCtrl("Align termocouple",DCTRL_OFF))
  { 
	print "  ","\n";  
  }
 else 
  {
	print "   ","\n";  
  }

}


//=======================================================================================
void StopControlChannel()
{
akmSetParamDirectCtrl("WriteConstSR12",DCTRL_OFF);  
akmSetParamDirectCtrl("Align termocouple",DCTRL_OFF);  
akmSetParamDirectCtrl("CE LAMP Conrol",DCTRL_OFF);  
akmSetParamDirectCtrl("GAS_Heater",DCTRL_OFF);  
akmSetParamDirectCtrl("Pump_OIL",DCTRL_OFF);  
akmSetParamDirectCtrl("Pump_Water",DCTRL_OFF);  
akmSetParamDirectCtrl("Fuel_Relay_Conrol",DCTRL_OFF);  
akmSetParamDirectCtrl("Fan1_Relay_Conrol",DCTRL_OFF);  
akmSetParamDirectCtrl("LZ1_Heater_Conrol",DCTRL_OFF);  
akmSetParamDirectCtrl("WriteConstSR12",DCTRL_OFF);  
akmSetParamDirectCtrl("LZ2_Heater_Conrol",DCTRL_OFF);  
akmSetParamDirectCtrl("StartRelay",DCTRL_OFF);  
}

//=======================================================================================
int _CallSTRBLI( int RoutineLI, int arg1 )
{
  int arrCmdParams[MAX_SERVICE_DATA_SIZE];
  int fldn;
  int pvalue = 0;

  arrCmdParams[0] = RoutineLI;
  arrCmdParams[1] = arg1;

   akmPrint(": ");
   akmPrint(stdItoA(RoutineLI));
   akmPrint(": ");
   akmPrint(stdItoA(arg1));
   akmPrint("\n");

 fldn =  akmDataSrcPerformKwpCommand(
//  MODEL_NAME,       // STK_PARAM_STRING sModelName,  // IN
    akmGetModelName(1),
    KWP_STRBLI,          // STK_PARAM_INT    kwpCommand,  // IN
    arrCmdParams,        // STK_PARAM_INT    arrCmdParams[MAX_SERVICE_DATA_SIZE],  // IN
    2,                   // STK_PARAM_INT    cmdCount,                             // IN
    1000,                // STK_PARAM_INT    timeout,                              // IN
    arrCmdParams         // STK_PARAM_INT    arrResult[MAX_SERVICE_DATA_SIZE]      // OUT
    );


 if( fldn > 0 )
    {
//  if(arg1 == 0)
//    stdMessageBox( " Test stopped ","KWP",MB_OK|MB_ICONINFORMATION);
//  else    if(arg1 == 1)
//    stdMessageBox( " Test1 begin  ","KWP",MB_OK|MB_ICONINFORMATION);
//  else    if(arg1 == 3)
//    stdMessageBox( " Test2 begin  ","KWP",MB_OK|MB_ICONINFORMATION);
//  else    if(arg1 == 2)
//    stdMessageBox( " Driver off   ","KWP",MB_OK|MB_ICONINFORMATION);
    }
  else     stdMessageBox( "  ","KWP",MB_OK|MB_ICONERROR);


 return pvalue;
}
////////////////////////////////////////////////

void BEGIN_TEST_1()
{
   akmPrint("Test begin\n");
  _CallSTRBLI( 0x16, 1);

}
//-------------------------------------------
void BEGIN_TEST_2()
{
   akmPrint("Test begin\n");
  _CallSTRBLI( 0x16, 3);
  
}
//-------------------------------------------
void STOP_TEST()
{
   akmPrint("Test stopped\n");
  _CallSTRBLI( 0x16, 0);
}

//-------------------------------------------
void OF_DRIVER()
{
   akmPrint("Test stopped\n");
  _CallSTRBLI( 0x16, 2);
}
//========================================================================
string BLOCKMODELNAME = "M20.1";

//========================================================================
int CheckBlockConnection(void)
 {
  int CountRequest = 100;
  int blkConnection = akmGetModelConnStatus(BLOCKMODELNAME);
  
  print " CountRequest = ";
  while( blkConnection != MDLCONN_ONLINE )
   {
    if( blkConnection == MDLCONN_OFFLINE ) 
     {
      akmModelConnectDataSrc( BLOCKMODELNAME, DATASRC_KWP,DATASRC_DEFAULT_ACTION);
      //akmSetModelConnPaused( BLOCKMODELNAME, 0);  //MDLCONN_NOTPAUSED
     }
    else if( blkConnection == MDLCONN_ONLINE_PAUSED )
     { 
      if( akmGetModelConnIsPaused(BLOCKMODELNAME) ==  1)//MDLCONN_PAUSED
         { akmSetModelConnPaused( BLOCKMODELNAME, 0);} // MDLCONN_NOTPAUSED
     }
    
  
    stdSleep(200);
    blkConnection = akmGetModelConnStatus(BLOCKMODELNAME);
    if(CountRequest) CountRequest--;
    else break;
    print "/";
  }

 return blkConnection;
}
//========================================================================


//-------------------------------------------
int LoadingTable(void)
{int ret,status,BLKConnectStatus,count_rep;
    ret =0;
count_rep = 10;

Rep:
//-------------------------   ----------------------------------------
//    SetParamS( "Message", "    ROM1" );
       akmModelConnectDataSrc( BLOCKMODELNAME, "Logger_KWP",DATASRC_DEFAULT_ACTION);
    stdSleep(1000);

    print "    ROM1\n";
    BLKConnectStatus = CheckBlockConnection();  //
    print " Connect BLK = ",BLKConnectStatus,"\n";
    if (BLKConnectStatus == MDLCONN_ONLINE ) //!= MDLCONN_OFFLINE
       {
//      SetParamS( "Message", "    ROM1" );
        
        print "   ",akmGetActiveDatasetName(BLOCKMODELNAME),"  ROM\n";

        status = akmWriteDatasetToEcu(BLOCKMODELNAME,"ROM1",akmGetActiveDatasetName(BLOCKMODELNAME),1,1);

        if (status == LOADER_EXEC_OK)
            {
             akmDataSrcPerformFunction(BLOCKMODELNAME, DATASRC_FUNC_CLEAR_SETTINGS  );
             print "   \n";
//           SetParamS( "Message", "    ROM  " );
            ret =1;
            }
        else
            {
            print "    !\n";   
//          SetParamS( "Message", "    " );ret =0;
            }
        }
    else
        {
//      SetParamS(   strSetPreffics("Message")  , "   " );
        akmModelDisconnectDataSrc(BLOCKMODELNAME);
        print "No connection\n";
        ret =0;
        }
//-------------------------------------------------------------------------------------------------------------------
       akmModelDisconnectDataSrc(BLOCKMODELNAME); 

        stdSleep(1000);
    if(ret && count_rep )
     { 
       print "   ",count_rep,"\n";
        count_rep--; 
        goto Rep;
         }
return ret;
}

//=======================================================================================
void STOP_CAN_PedalCalibration()
{
//   akmPrint(" STOP_CAN_PedalCalibration \n");
   
   print "  = ", CallSTRBLICOMMON( 0x19, 0,"  "),"\n";
}
//=======================================================================================
//=======================================================================================
void START_CAN_PedalCalibration()
{
//   akmPrint(" START_CAN_PedalCalibration \n");
   print "  = ", CallSTRBLICOMMON( 0x19, 1,"  "),"\n";   

}
//=======================================================================================
//=======================================================================================
void SET_CAN_PedalCalibration()
{
//   akmPrint(" SET_CAN_PedalCalibration \n");
   print "  = ",CallSTRBLICOMMON( 0x19, 2,"  "),"\n";
}
//=======================================================================================
//=======================================================================================
void STOP_ENGINE()
{
//   akmPrint(" STOP_CAN_PedalCalibration \n");
   
   print "   ", CallSTRBLICOMMON( 0x18, 0,""),"\n";
}
//=======================================================================================
void START_ENGINE()
{
//   akmPrint(" STOP_CAN_PedalCalibration \n");
   
   print "   ", CallSTRBLICOMMON( 0x1A, 1,""),"\n";
}
//=======================================================================================
//=======================================================================================
void OFF_ENGINE()
{
//   akmPrint(" STOP_CAN_PedalCalibration \n");
   
   print "   ", CallSTRBLICOMMON( 0x1A, 0,""),"\n";
}
//=======================================================================================
void CO_LOAD()
{
   akmPrint("   \n");
   
   print "   ", CallSTRBLICOMMON( 0x1B, 1," "),"\n";
}
//=======================================================================================
//=======================================================================================
void START_DrossCalibration()
{
//   akmPrint(" START_DrossCalibration \n");
   print "  = ", CallSTRBLICOMMON( 0x13, 1,"  "),"\n";   

}
//=======================================================================================

//=======================================================================================
void Stop_DrossCalibration()
{
//   akmPrint(" START_DrossCalibration \n");
   print "  = ", CallSTRBLICOMMON( 0x13, 2,"  "),"\n";   
}
//=======================================================================================
//=======================================================================================
void Break_DrossCalibration()
{
//   akmPrint(" START_DrossCalibration \n");
   print "  = ", CallSTRBLICOMMON( 0x13, 0,"   "),"\n";   

}
//=======================================================================================

//=======================================================================================
void Start_FT()
{

   print "  = ", CallSTRBLICOMMON( 0x1C, 0x01,"Start FT "),"\n";

}
//=======================================================================================
//=======================================================================================
void Stop_FT()
{

   print "  = ", CallSTRBLICOMMON( 0x1C, (0x0)," Stop FT"),"\n";

}
//=======================================================================================
//=======================================================================================
void Set_Switch_1()
{

   print "  = ", CallSTRBLICOMMON( 0x1D, 0x00," HIGHTSWITCH_F1"),"\n";

}
//=======================================================================================
//=======================================================================================
void Set_Switch_2()
{

   print "  = ", CallSTRBLICOMMON( 0x1D, 0x01," HIGHTSWITCH_F2"),"\n";

}
//=======================================================================================
//=======================================================================================
void Set_Switch_3()
{

   print "  = ", CallSTRBLICOMMON( 0x1D, 0x02," HIGHTSWITCH_F3"),"\n";

}
//=======================================================================================
//=======================================================================================
void Set_Switch_4()
{

   print "  = ", CallSTRBLICOMMON( 0x1D, 0x03," HIGHTSWITCH_F4"),"\n";

}
//=======================================================================================
//=======================================================================================
void Set_Switch_1h()
{

   print "  = ", CallSTRBLICOMMON( 0x1D, 0x04," HOLDSWITCH_F1"),"\n";

}
//=======================================================================================
//=======================================================================================
void Set_Switch_2h()
{

   print "  = ", CallSTRBLICOMMON( 0x1D, 0x05," HOLDSWITCH_F2"),"\n";

}
//=======================================================================================
//=======================================================================================
void Set_Switch_3h()
{

   print "  = ", CallSTRBLICOMMON( 0x1D, 0x06," HOLDSWITCH_F3"),"\n";

}
//=======================================================================================
//=======================================================================================
void Set_Switch_4h()
{

   print "  = ", CallSTRBLICOMMON( 0x1D, 0x07," HOLDSWITCH_F4"),"\n";

}
//=======================================================================================

//=======================================================================================
void BeginTestInj1()
{

   print "  = ", CallSTRBLICOMMON( 0x17, 0x01," Test Inj 1"),"\n";
   akmPrint("Set channel 1\n");
   stdSleep(200); 
   akmSetParamDirectCtrl("osc_channel1",DCTRL_ON);  
   stdSleep(200); 
   SetParamI("osc_channel1",1 );
   stdSleep(200); 
   akmSetParamDirectCtrl("osc_channel1",DCTRL_OFF);

}
//=======================================================================================

//=======================================================================================
void BeginTestInj2()
{

   print "  = ", CallSTRBLICOMMON( 0x17, 0x02," Test Inj 2"),"\n";
    
   akmPrint("Set channel 2\n");   
   stdSleep(200);
   akmSetParamDirectCtrl("osc_channel1",DCTRL_ON);   
   stdSleep(200); 
   SetParamI("osc_channel1",2 );
   stdSleep(200); 
   akmSetParamDirectCtrl("osc_channel1",DCTRL_OFF);

}
//=======================================================================================
//=======================================================================================
void BeginTestInj3()
{

   print "  = ", CallSTRBLICOMMON( 0x17, 0x03," Test Inj 3"),"\n";

   akmPrint("Set channel 3\n");
   stdSleep(200); 
   akmSetParamDirectCtrl("osc_channel1",DCTRL_ON);  
   stdSleep(200); 
   SetParamI("osc_channel1",3 );
   stdSleep(200); 
   akmSetParamDirectCtrl("osc_channel1",DCTRL_OFF);

}
//=======================================================================================
//=======================================================================================
void BeginTestInj4()
{

   print "  = ", CallSTRBLICOMMON( 0x17, 0x04," Test Inj 4"),"\n";

   akmPrint("Set channel 4\n");
   stdSleep(200);
   akmSetParamDirectCtrl("osc_channel1",DCTRL_ON);  
   stdSleep(200);
   SetParamI("osc_channel1",4 );
   stdSleep(200);
   akmSetParamDirectCtrl("osc_channel1",DCTRL_OFF);

}
//=======================================================================================
//=======================================================================================
void BeginTestInj5()
{

   print "  = ", CallSTRBLICOMMON( 0x17, 0x05," Test Inj 5"),"\n";

   akmPrint("Set channel 5\n");
   stdSleep(200);
   akmSetParamDirectCtrl("osc_channel1",DCTRL_ON);  
   stdSleep(200);
   SetParamI("osc_channel1",5 );
   stdSleep(200);
   akmSetParamDirectCtrl("osc_channel1",DCTRL_OFF);


}
//=======================================================================================
//=======================================================================================
void BeginTestInj6()
{

   print "  = ", CallSTRBLICOMMON( 0x17, 0x06," Test Inj 6"),"\n";

   akmPrint("Set channel 6\n");
   stdSleep(200);
   akmSetParamDirectCtrl("osc_channel1",DCTRL_ON);  
   stdSleep(200);
   SetParamI("osc_channel1",6 );
   stdSleep(200);
   akmSetParamDirectCtrl("osc_channel1",DCTRL_OFF);

}
//=======================================================================================
//=======================================================================================
void BeginTestInj7()
{

   print "  = ", CallSTRBLICOMMON( 0x17, 0x07," Test Inj 7"),"\n";

   akmPrint("Set channel 7\n");
   stdSleep(200);
   akmSetParamDirectCtrl("osc_channel1",DCTRL_ON);  
   stdSleep(200);
   SetParamI("osc_channel1",7 );
   stdSleep(200);
   akmSetParamDirectCtrl("osc_channel1",DCTRL_OFF);

}
//=======================================================================================
//=======================================================================================
void BeginTestInj8()
{

   print "  = ", CallSTRBLICOMMON( 0x17, 0x08," Test Inj 8"),"\n";

   akmPrint("Set channel 8\n");
   stdSleep(200);
   akmSetParamDirectCtrl("osc_channel1",DCTRL_ON);  
   stdSleep(200);
   SetParamI("osc_channel1",8 );
   stdSleep(200);
   akmSetParamDirectCtrl("osc_channel1",DCTRL_OFF);


}
//=======================================================================================
//=======================================================================================
void StopTestInj()
{

   print "  = ", CallSTRBLICOMMON( 0x17, 0x00," Test Inj Off"),"\n";

}
//=======================================================================================

//=======================================================================================
void BeginTestIgnition1()
{

   print "  = ", CallSTRBLICOMMON( 0x19, 0x01," Test Ignition 1"),"\n";

}
//=======================================================================================
//=======================================================================================
void BeginTestIgnition2()
{

   print "  = ", CallSTRBLICOMMON( 0x19, 0x02," Test Ignition 2"),"\n";

}
//=======================================================================================
//=======================================================================================
void BeginTestIgnition3()
{

   print "  = ", CallSTRBLICOMMON( 0x19, 0x03," Test Ignition 3"),"\n";

}
//=======================================================================================
//=======================================================================================
void BeginTestIgnition4()
{

   print "  = ", CallSTRBLICOMMON( 0x19, 0x04," Test Ignition 4"),"\n";

}
//=======================================================================================
//=======================================================================================
void BeginTestIgnition5()
{

   print "  = ", CallSTRBLICOMMON( 0x19, 0x05," Test Ignition 5"),"\n";

}
//=======================================================================================
//=======================================================================================
void BeginTestIgnition6()
{

   print "  = ", CallSTRBLICOMMON( 0x19, 0x06," Test Ignition 6"),"\n";

}
//=======================================================================================
//=======================================================================================
void BeginTestIgnition7()
{

   print "  = ", CallSTRBLICOMMON( 0x19, 0x07," Test Ignition 7"),"\n";

}
//=======================================================================================
//=======================================================================================
void BeginTestIgnition8()
{

   print "  = ", CallSTRBLICOMMON( 0x19, 0x08," Test Ignition 8"),"\n";

}
//=======================================================================================
//=======================================================================================
void StopTestIgnition()
{

   print "  = ", CallSTRBLICOMMON( 0x19, 0x00," Test Ignition Off"),"\n";

}
//=======================================================================================
